<?php /* Smarty version 2.6.13, created on 2016-06-10 18:29:39
         compiled from inc/ui.sort.tpl */ ?>
<script type="text/javascript" src="<?php echo $this->_tpl_vars['url']['theme']['shared']; ?>
js/jq/ui.mouse.js"></script>
<script type="text/javascript" src="<?php echo $this->_tpl_vars['url']['theme']['shared']; ?>
js/jq/ui.sortable.js"></script>
<?php echo '
<script type="text/javascript">

PommoSort = {
	init: function(e,p) {
		this.params = $.extend(this.params,p);
		this.sortBox = $(e).sortable(this.params);
		return this;
	},
	params: {
		// ui.sortable params
		items: \'.sortable\',
		update: function(e,ui) {
			
			// re-stripe
			$(\'#grid\').jqStripe({rowSelector: \'div.sortable\'});
			
			var order = new Array();
			$(PommoSort.params.items,PommoSort.sortBox).each(function(){
				var id = this.id.substr(2);
				order.push(id);
			});
			if(PommoSort.params.updateURL) {
				$.getJSON(
					PommoSort.params.updateURL,
					{\'order[]\': order},
					function(json){ return; }
				);
			}
		},
		// PommoSort params
		updateURL: false
	},
	sortBox: null
};
</script>
'; ?>